org.deidentifier.arx.gui.view.impl.common

## Class ComponentStatus

- java.lang.Object
- - org.deidentifier.arx.gui.view.impl.common.ComponentStatus

    public class ComponentStatus
    extends java.lang.Object

This class implements a wrapper around a control that displays the current status: (1) nothing to display, (2) working, (3) done (shows the control).

Author:
  Fabian Prasser

### Constructor Summary

Constructors
Constructor and Description
`ComponentStatus(Controller controller, org.eclipse.swt.widgets.Composite parent, org.eclipse.swt.widgets.Control child, ViewRisks<?> view, ComponentStatusLabelProgressProvider progressProvider)` Creates a new instace
`ComponentStatus(Controller controller, org.eclipse.swt.widgets.Composite parent, org.eclipse.swt.widgets.Control child, ViewStatistics<?> view)` Creates a new instance.
`ComponentStatus(Controller controller, org.eclipse.swt.widgets.Composite parent, org.eclipse.swt.widgets.Control child, ViewStatistics<?> view, ComponentStatusLabelProgressProvider progressProvider)` Creates a new instance.

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `isEmpty()` Returns whether the current status is "empty"
`boolean` `isStopped()` Has the analysis been stopped by the user.
`boolean` `isVisible()` Is the current status visible.
`void` `setDone()` Enables status 'done'.
`void` `setEmpty()` Enables status 'empty'.
`void` `setWorking()` Enables status 'working'.

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ComponentStatus

    public ComponentStatus(Controller controller,
                           org.eclipse.swt.widgets.Composite parent,
                           org.eclipse.swt.widgets.Control child,
                           ViewRisks<?> view,
                           ComponentStatusLabelProgressProvider progressProvider)

Creates a new instace

Parameters:
  `controller` -
  `parent` -
  `control` -
  `viewRisks` -
  `progressProvider` -

#### ComponentStatus

    public ComponentStatus(Controller controller,
                           org.eclipse.swt.widgets.Composite parent,
                           org.eclipse.swt.widgets.Control child,
                           ViewStatistics<?> view)

Creates a new instance.

Parameters:
  `controller` -
  `parent` -
  `child` -

#### ComponentStatus

    public ComponentStatus(Controller controller,
                           org.eclipse.swt.widgets.Composite parent,
                           org.eclipse.swt.widgets.Control child,
                           ViewStatistics<?> view,
                           ComponentStatusLabelProgressProvider progressProvider)

Creates a new instance.

Parameters:
  `controller` -
  `parent` -
  `child` -
  `view` -
  `provider` -

### Method Detail

#### isEmpty

    public boolean isEmpty()

Returns whether the current status is "empty"

Returns:

#### isStopped

    public boolean isStopped()

Has the analysis been stopped by the user.

Returns:

#### isVisible

    public boolean isVisible()

Is the current status visible.

Returns:

#### setDone

    public void setDone()

Enables status 'done'. Shows the actual control.

#### setEmpty

    public void setEmpty()

Enables status 'empty'.

#### setWorking

    public void setWorking()

Enables status 'working'.